%define name	perl-Term-ReadKey
%define version 2.30
%define release %mkrel 8

Summary:	Term::ReadKey Perl module
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/J/JS/JSTOWE/TermReadKey-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n TermReadKey-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*



%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.30-8mdv2010.0
+ Revision: 426592
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.30-7mdv2009.1
+ Revision: 351716
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.30-6mdv2009.0
+ Revision: 224096
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.30-5mdv2008.1
+ Revision: 151342
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 2.30-4mdv2008.0
+ Revision: 64808
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.30-3mdv2008.0
+ Revision: 23317
- rebuild


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.30-2mdk
- Rebuild

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 2.30-1mdk
- New release 2.30

* Mon Nov 15 2004 Austin Acton <austin@mandrake.org> 2.21-5mdk
- rebuild

* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.21-4mdk
- rebuild for new perl

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.21-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.21-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 2.21-1mdk
- initial package

